package turtle;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


/** A dialog for getting ints.
 * <p>Title: Turtle-talk</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: Mmorial University</p>
 * @author Theodore Norvell
 * @version 1.0
 */

class GetIntDialog extends JDialog {
    Counter counter = new Counter();
    JButton okButton = new JButton();

    public GetIntDialog( JFrame parent, BoundedRangeModel brm) {
        super(parent, "Enter an integer", true ) ;
        try {
            jbInit();
            counter.setModel( brm );
            setSize(200, 200) ; }
        catch(Exception e) {
            e.printStackTrace() ;}
    }
    private void jbInit() throws Exception {
        okButton.setText("Enter");
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                okButton_actionPerformed(e);
            }
        });
        this.getContentPane().add(counter,  BorderLayout.CENTER);
        this.getContentPane().add(okButton, BorderLayout.SOUTH);
    }

    void okButton_actionPerformed(ActionEvent e) {
        this.hide() ;
    }
}