package turtle.talk;

import junit.framework.*;

/**
 * <p>Title: Turtle Talk Tests</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Theodore Norvell
 * @version 1.0
 */

public class ExpectedStringOutput implements StringSink {
    private String [] strings ;
    private int cursor ;
    
    ExpectedStringOutput( String [] strings ) {
        this.strings = strings ;
        cursor = 0 ; }    

    public void putString(String str ) {
        TestCase.assertTrue( "Too much string output", cursor < strings.length ) ;
        TestCase.assertTrue( "Output +\""+str+"\" expected \""+strings[ cursor ]+"\"",
                              str.equals(strings[ cursor++ ] ) ) ; }
    
    public void close() {
        TestCase.assertTrue("Not enough string output", cursor == strings.length ); }
}